1. Payment Button
Español
  • Español
  • English
  • Bienvenidos
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • One-time payments
    • Two-step-payments
    • Voids & Refunds
    • Card information
    • Query Transactions
  • Online Payments
    • Card
      • Bin Info
      • Bin Info V2
      • Request deferred options
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Authorize payments
      • Capture an authorized payment
      • Reauthorize payments
      • Void a transaction
      • Refund a transaction
      • Voucher
      • Validate OTP
      • Verify Account
      • Preauthorization (tokenless)
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Get recurring charge Info
      • Create a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Add a temporary charge or discount
      • Make an One-click payment
    • Card Async
      • Request a card async token
      • Authorize payments
      • Get Status
      • Capture an authorized payment
      • Init Transaction
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Capture an authorized payment
      • Authorize payments
      • Capture an authorized payment
      • Authorize payments
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Init Transaction
      • Request a Transfer In token
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Update a Smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway Status
      • Get gateway status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Payment Button
      • Create a payment button
        POST
    • Platform Status
    • Subscription Transactions
  • Schemas
    • extraTaxes
    • Amount-cash-in
    • Amount
    • networkToken
    • currency
    • Metadata
    • documentType
    • Subscription
    • webhooks
    • headers
    • ContactDetails
    • Country
    • Language
    • threeDomainSecure
    • binInfo
    • Deferred
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Payment Button

Create a payment button

POST
/smartlink/v1/webcheckout
Create a URL to redirect your user to a Kushki webcheckout.
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-uat.kushkipagos.com/smartlink/v1/webcheckout' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "kind": "string",
    "contactDetail": {
        "email": "string",
        "name": "string"
    },
    "redirectURL": "string",
    "products": [
        {
            "description": "string",
            "name": "string",
            "quantity": 0,
            "unitPrice": 0
        }
    ],
    "paymentConfig": {
        "amount": {
            "subtotalIva0": 0,
            "currency": "CLP",
            "iva": 0,
            "subtotalIva": 0
        },
        "paymentMethod": [
            "cash"
        ]
    },
    "transactionType": "string",
    "additionalInformation": {}
}'
Response Response Example
200 - Example 1
{
    "webcheckoutId": "string",
    "webcheckoutUrl": "string"
}
Modified at 2026-04-16 19:53:17
Previous
Advanced search
Next
extraTaxes
Built with